Page MenuHomePhabricator

azb.wikipedia Statistics are wrong
Closed, ResolvedPublic

Description

See https://azb.wikipedia.org/w/index.php?title=%D8%A7%D8%A4%D8%B2%D9%84:%D8%A2%D9%85%D8%A7%D8%B1&action=raw (Special:Statistics). Number of content pages (5600) is larger than the total number of pages (3500).
Please run the necessary script to update it.

Event Timeline

MF-Warburg raised the priority of this task from to Needs Triage.
MF-Warburg updated the task description. (Show Details)
MF-Warburg added a subscriber: MF-Warburg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 12:12 AM
Krenair closed this task as Resolved.Aug 5 2015, 11:14 AM
Krenair claimed this task.
Krenair added a subscriber: Krenair.
krenair@terbium:~$ mwscript initSiteStats.php azbwiki --update
Refresh Site Statistics

Counting total edits...36071
Counting number of articles...1606
Counting total pages...7338
Counting number of users...290
Counting number of images...0

Updating site statistics...done.

Done.
Mjbmr reopened this task as Open.Aug 8 2015, 5:22 AM
Mjbmr set Security to None.
Mjbmr added subscribers: Matanya, Mjbmr, Dereckson.
select count(*) from page where page_namespace = 0 and page_is_redirect = 0;

+----------+
| count(*) |
+----------+
|     5037 |
+----------+
1 row in set (0.01 sec)

https://meta.wikimedia.org/w/index.php?title=Wikimedia_News&type=revision&diff=13008987&oldid=12998601
https://azb.wikipedia.org/wiki/Special:Statistics?uselang=en

Krenair closed this task as Resolved.EditedAug 8 2015, 12:21 PM

The content page count is correct. You're missing the checks for whether each page contains links or not. It does something like select count(distinct page_id) from page, pagelinks where pl_from = page_id and page_namespace in (0) and page_is_redirect = 0;.

Mjbmr reopened this task as Open.EditedAug 17 2015, 6:41 PM

It shoud count all articles (non-redirect pages in main namespace)

Krenair closed this task as Resolved.Aug 17 2015, 7:02 PM

Then please follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes to get wgArticleCountMethod changed

Mjbmr added a comment.Aug 17 2015, 7:18 PM

I let the community know. The current setting must be accepted as policy because I also found empty articles. Thank you.

Krenair moved this task from Backlog to Done on the Wikimedia-Site-requests board.Aug 18 2015, 3:44 PM